summaryrefslogtreecommitdiffstats
path: root/source/l/libnjb
diff options
context:
space:
mode:
Diffstat (limited to 'source/l/libnjb')
-rw-r--r--source/l/libnjb/80-libnjb.rules34
-rwxr-xr-xsource/l/libnjb/libnjb.SlackBuild131
-rw-r--r--source/l/libnjb/slack-desc19
3 files changed, 184 insertions, 0 deletions
diff --git a/source/l/libnjb/80-libnjb.rules b/source/l/libnjb/80-libnjb.rules
new file mode 100644
index 000000000..5908d8b52
--- /dev/null
+++ b/source/l/libnjb/80-libnjb.rules
@@ -0,0 +1,34 @@
+SUBSYSTEM!="usb_device", ACTION!="add", GOTO="libnjb_rules_end"
+
+# Creative Nomad Jukebox
+ATTR{idVendor}=="0471", ATTR{idProduct}=="0222", MODE="660", GROUP="audio"
+# Creative Nomad Jukebox 2
+ATTR{idVendor}=="041e", ATTR{idProduct}=="4100", MODE="660", GROUP="audio"
+# Creative Nomad Jukebox 3
+ATTR{idVendor}=="041e", ATTR{idProduct}=="4101", MODE="660", GROUP="audio"
+# Creative Nomad Jukebox Zen
+ATTR{idVendor}=="041e", ATTR{idProduct}=="4108", MODE="660", GROUP="audio"
+# Creative Nomad Jukebox Zen USB 2.0
+ATTR{idVendor}=="041e", ATTR{idProduct}=="410b", MODE="660", GROUP="audio"
+# Creative Nomad Jukebox Zen NX
+ATTR{idVendor}=="041e", ATTR{idProduct}=="4109", MODE="660", GROUP="audio"
+# Creative Nomad Jukebox Zen Xtra
+ATTR{idVendor}=="041e", ATTR{idProduct}=="4110", MODE="660", GROUP="audio"
+# Dell Digital Jukebox
+ATTR{idVendor}=="041e", ATTR{idProduct}=="4111", MODE="660", GROUP="audio"
+# Creative Nomad Jukebox Zen Touch
+ATTR{idVendor}=="041e", ATTR{idProduct}=="411b", MODE="660", GROUP="audio"
+# Creative Zen (Zen Micro variant)
+ATTR{idVendor}=="041e", ATTR{idProduct}=="411d", MODE="660", GROUP="audio"
+# Creative Nomad Jukebox Zen Micro
+ATTR{idVendor}=="041e", ATTR{idProduct}=="411e", MODE="660", GROUP="audio"
+# Second Generation Dell Digital Jukebox
+ATTR{idVendor}=="041e", ATTR{idProduct}=="4126", MODE="660", GROUP="audio"
+# Dell Pocket DJ
+ATTR{idVendor}=="041e", ATTR{idProduct}=="4127", MODE="660", GROUP="audio"
+# Creative Zen Sleek
+ATTR{idVendor}=="041e", ATTR{idProduct}=="4136", MODE="660", GROUP="audio"
+# Third Generation Dell Digital Jukebox
+ATTR{idVendor}=="041e", ATTR{idProduct}=="412f", MODE="660", GROUP="audio"
+
+LABEL="libnjb_rules_end"
diff --git a/source/l/libnjb/libnjb.SlackBuild b/source/l/libnjb/libnjb.SlackBuild
new file mode 100755
index 000000000..285526078
--- /dev/null
+++ b/source/l/libnjb/libnjb.SlackBuild
@@ -0,0 +1,131 @@
+#!/bin/sh
+
+# Copyright 2006, 2007, 2008, 2009 Patrick J. Volkerding, Sebeka, MN, USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+
+PKGNAM=libnjb
+VERSION=${VERSION:-2.2.6}
+ARCH=${ARCH:-x86_64}
+NUMJOBS=${NUMJOBS:-" -j7 "}
+BUILD=${BUILD:-4}
+
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp}
+PKG=$TMP/package-${PKGNAM}
+rm -rf $PKG
+mkdir -p $TMP $PKG
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "s390" ]; then
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+fi
+
+cd $TMP
+rm -rf ${PKGNAM}-${VERSION}
+tar xvf $CWD/${PKGNAM}-$VERSION.tar.bz2 || exit 1
+cd ${PKGNAM}-$VERSION
+
+# Make sure ownerships and permissions are sane:
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+# Configure:
+CFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --docdir=/usr/doc/${PKGNAM}-$VERSION \
+ --disable-static \
+ --enable-hotplugging \
+ --build=$ARCH-slackware-linux
+
+# Build and install:
+make $NUMJOBS || make || exit 1
+make install DESTDIR=$PKG || exit 1
+
+# Hotplug is obsolete:
+if [ -d $PKG/etc/hotplug ]; then
+ rm -rf $PKG/etc/hotplug
+fi
+
+# Add udev rules:
+mkdir -p $PKG/lib/udev/rules.d
+cat $CWD/80-libnjb.rules > $PKG/lib/udev/rules.d/80-libnjb.rules
+
+# Strip binaries:
+find $PKG | xargs file | grep -e "executable" -e "shared object" \
+ | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+
+# Compress and link manpages, if any:
+if [ -d $PKG/usr/man ]; then
+ ( cd $PKG/usr/man
+ for manpagedir in $(find . -type d -name "man*") ; do
+ ( cd $manpagedir
+ for eachpage in $( find . -type l -maxdepth 1) ; do
+ ln -s $( readlink $eachpage ).gz $eachpage.gz
+ rm $eachpage
+ done
+ gzip -9 *.?
+ )
+ done
+ )
+fi
+
+# Compress info files, if any:
+if [ -d $PKG/usr/info ]; then
+ ( cd $PKG/usr/info
+ rm -f dir
+ gzip -9 *
+ )
+fi
+
+# Move the documentation directory:
+mkdir -p $PKG/usr/doc
+mv $PKG/usr/share/doc/${PKGNAM}-$VERSION $PKG/usr/doc/${PKGNAM}-$VERSION
+rmdir $PKG/usr/share/doc
+rmdir $PKG/usr/share
+# Yes I know about '-p' :-)
+
+# Usually I no longer install bloated ChangeLogs (unless I wrote them ;-),
+# or empty doc stubs, but if they are small, they don't hurt. And someday
+# the above mentioned files may contain something useful! :-)
+mkdir -p $PKG/usr/doc/${PKGNAM}-$VERSION
+cp -a \
+ AUTHORS ChangeLog FAQ HACKING INSTALL LICENSE Makefile.in README \
+ $PKG/usr/doc/${PKGNAM}-$VERSION
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $TMP/${PKGNAM}-$VERSION-$ARCH-$BUILD.txz
+
diff --git a/source/l/libnjb/slack-desc b/source/l/libnjb/slack-desc
new file mode 100644
index 000000000..41f19c68a
--- /dev/null
+++ b/source/l/libnjb/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+libnjb: libnjb (A library for Creative Nomad related media devices)
+libnjb:
+libnjb: libnjb is a C library and API for communicating with the Creative
+libnjb: Nomad JukeBox and Dell DJ digital audio players under BSD, Linux,
+libnjb: Mac OS X, and Windows. The protocol these devices use is presumably
+libnjb: called PDE (Portable Digital Entertainment protocol) at Creative.
+libnjb: Newer devices using the Microsoft MTP (Media Transfer Protocol)
+libnjb: are NOT supported.
+libnjb:
+libnjb: Home page: http://libnjb.sourceforge.net
+libnjb: